function Frosted(props) {
  return (
    <Page>
      <Section>
        <ColorSelect
          settingsKey="hrcolor"
          colors={[
            {color: '#00b0e7'},
            {color: '#2084c0'},
            {color: '#2040c0'},
            {color: '#5700ad'},
            {color: '#685098'},
            {color: '#8820c0'},
            {color: '#c020c0'},
            {color: '#843E86'}, // upper
            {color: '#806480'},
            {color: '#e800d0'},
            {color: '#a04890'},
            {color: '#985070'},
            {color: '#c02058'},
            {color: '#e80040'},
            {color: '#e83800'},
            {color: '#986850'},
            {color: '#e89c01'},
            {color: '#c8e802'},
            {color: '#788f4b'},
            {color: '#42bb1b'},
            {color: '#00e12d'},
            {color: '#01e890'},
            {color: '#608078'},
            {color: '#48a090'},
            {color: '#508c98'},
            {color: '#00b0a0'} // lower
          ]}
        />
        <ColorSelect
          settingsKey="mincolor"
          colors={[
            {color: '#00b0e7'},
            {color: '#2084c0'},
            {color: '#2040c0'},
            {color: '#5700ad'},
            {color: '#685098'},
            {color: '#8820c0'},
            {color: '#c020c0'},
            {color: '#843E86'}, // upper
            {color: '#806480'},
            {color: '#e800d0'},
            {color: '#a04890'},
            {color: '#985070'},
            {color: '#c02058'},
            {color: '#e80040'},
            {color: '#e83800'},
            {color: '#986850'},
            {color: '#e89c01'},
            {color: '#c8e802'},
            {color: '#788f4b'},
            {color: '#42bb1b'},
            {color: '#00e12d'},
            {color: '#01e890'},
            {color: '#608078'},
            {color: '#48a090'},
            {color: '#508c98'},
            {color: '#00b0a0'} // lower
          ]}
        />
        <Toggle
          settingsKey="date"
          label="Reverse Date"
        />
      </Section>
    </Page>
  );
}

registerSettingsPage(Frosted);